Package org.apache.solr.client.solrj.io.eval

## Class KnnEvaluator.Neighbor

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.KnnEvaluator.Neighbor

All Implemented Interfaces:
  `Comparable<KnnEvaluator.Neighbor>`

Enclosing class:
  KnnEvaluator

    public static class KnnEvaluator.Neighbor
    extends Object
    implements Comparable<KnnEvaluator.Neighbor>

### Constructor Summary

Constructors
`Neighbor​(int row, double distance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(KnnEvaluator.Neighbor neighbor)`
`Double` `getDistance()`
`int` `getRow()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Neighbor

    public Neighbor​(int row,
                    double distance)

### Method Detail

#### getRow

    public int getRow()

#### getDistance

    public Double getDistance()

#### compareTo

    public int compareTo​(KnnEvaluator.Neighbor neighbor)

Specified by:
  `compareTo` in interface `Comparable<KnnEvaluator.Neighbor>`